/* start: custom slider */
.testimonial {
    padding-top: 40px;
    padding-bottom: 40px;
}

.testimonial.sal-carousel-gradient-left {
    background: var(--sa-gradient-neu-left);
}

.testimonial-text-secondary {
    font-size: 16px;
    line-height: 24px;
    color: var(--sa-text-secondary);
}

.relative {
    position: relative;
}

.custom-slider-container {
    overflow: hidden;
    width: 100%;
    /*touch-action: none;*/
    border: 1px solid var(--sa-border-default);
    border-radius: 8px;
    background: var(--sa-background-primary);
    margin: 3% 0;
}

.custom-slider-wrapper {
    display: flex;
    will-change: transform;
    transition: transform 0.35s ease;
}

.custom-slider-item {
    flex: 0 0 100%;
    box-sizing: border-box;
    padding: 48px;
    box-sizing: border-box;
}

.custom-slider-item > .text-item {
    flex-direction: column;
    gap: 16px;
}

.custom-slider-item.active > .text-item {
    display: flex;
}

.custom-slider-item.active {
    transform: scale(1);
}

.custom-slider-item:not(.active) {
    height: 0;
}

.custom-slider-container.peeking {
    overflow: hidden;
}

.custom-slider-item div h3 {
    max-width: 75%;
}

.custom-slider-container.peeking .custom-slider-item {
    padding: 16px 8px;
    flex: 0 0 auto;
}

.custom-navigation {
    position: absolute;
    top: 48px;
    right: 48px;
    display: flex;
    gap: 16px;
}

    .custom-navigation .btn-sal-secondary {
        width: 40px;
        padding: 0;
        color: var(--sa-border-link);
        border: 2px solid var(--sa-border-link);
        background: var(--sa-background-surface);
    }
        .custom-navigation .btn-sal-secondary:hover:not(:disabled):not(.disabled) {
            color: var(--sa-border-link-hover);
            border: 2px solid var(--sa-border-link-hover);
            background: var(--sa-background-surface);
        }


.custom-pagination {
    display: flex;
    gap: 8px;
    padding-left: 48px;
    padding-bottom: 48px;
    position: absolute;
    bottom: 0;
    left: 0;
}

    .custom-pagination button {
        width: 8px;
        height: 8px;
        padding: 0;
        border: none;
        border-radius: 50%;
        cursor: pointer;
        transition: width 0.25s ease, background-color 0.25s ease, border-radius 0.25s ease;
        background: var(--sa-icon-link);
        opacity: 0.3;
    }

        .custom-pagination button.active {
            width: 24px;
            border-radius: 999px;
            opacity: 1;
        }

@media(max-width:767.98px ) {
    .custom-slider-item div h3 {
        max-width: 100%;
    }

    .custom-navigation {
        position: absolute;
        top: unset;
        right: 48px;
        bottom: 34px;
        display: flex;
        gap: 16px;
    }

    .custom-pagination {
        padding-bottom: 96px;
    }

    .custom-slider-container {
        margin: 40px 0;
    }
}
/* end: custom slider */